Tp::BaseChannel Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseChannel Class Reference
Connection manager service implementation

Base class for channel implementations. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::DBusService.

## Signals
void | closed ()
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Public Member Functions
virtual | ~BaseChannel ()
QVariantMap | immutableProperties () const
bool | registerObject (DBusError *error=NULL)
virtual QString | uniqueName () const
QString | channelType () const
QList < AbstractChannelInterfacePtr > | interfaces () const
AbstractChannelInterfacePtr | interface (const QString &interfaceName) const
uint | targetHandle () const
QString | targetID () const
uint | targetHandleType () const
bool | requested () const
uint | initiatorHandle () const
QString | initiatorID () const
Tp::ChannelDetails | details () const
void | setInitiatorHandle (uint initiatorHandle)
void | setInitiatorID (const QString &initiatorID)
void | setTargetID (const QString &targetID)
void | setRequested (bool requested)
void | close ()
bool | plugInterface (const AbstractChannelInterfacePtr &interface)
Public Member Functions inherited from Tp::DBusService
| DBusService (const QDBusConnection &dbusConnection)
virtual | ~DBusService ()
QDBusConnection | dbusConnection () const
QString | busName () const
QString | objectPath () const
DBusObject * | dbusObject () const
bool | isRegistered () const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseChannelPtr | create (BaseConnection *connection, const QString &channelType, Tp::HandleType targetHandleType=Tp::HandleTypeNone, uint targetHandle=0)

## Protected Member Functions
| BaseChannel (const QDBusConnection &dbusConnection, BaseConnection *connection, const QString &channelType, uint targetHandleType, uint targetHandle)
virtual bool | registerObject (const QString &busName, const QString &objectPath, DBusError *error)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for channel implementations.

## Constructor & Destructor Documentation

Tp::BaseChannel::~BaseChannel | ( |  | ) |
| virtual

Class destructor.

Tp::BaseChannel::BaseChannel | ( | const QDBusConnection & | dbusConnection,
|  | BaseConnection * | connection,
|  | const QString & | channelType,
|  | uint | targetHandleType,
|  | uint | targetHandle
| ) |  |
| protected

## Member Function Documentation

static BaseChannelPtr Tp::BaseChannel::create | ( | BaseConnection * | connection,
|  | const QString & | channelType,
|  | Tp::HandleType | targetHandleType = `Tp::HandleTypeNone`,
|  | uint | targetHandle = `0`
| ) |  |
| inlinestatic

QVariantMap Tp::BaseChannel::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this channel object.

Immutable properties cannot change after the object has been registered on the bus with registerObject().

Returns
  The immutable properties of this channel object.

Implements Tp::DBusService.

bool Tp::BaseChannel::registerObject | ( | DBusError * | error = `NULL` | ) |

QString Tp::BaseChannel::uniqueName | ( |  | ) | const
| virtual

Return a unique name for this channel.

Returns
  A unique name for this channel.

QString Tp::BaseChannel::channelType | ( |  | ) | const

QList< AbstractChannelInterfacePtr > Tp::BaseChannel::interfaces | ( |  | ) | const

AbstractChannelInterfacePtr Tp::BaseChannel::interface | ( | const QString & | interfaceName | ) | const

Return a pointer to the interface with the given name.

Parameters

  interfaceName | The D-Bus name of the interface, ex. TP_QT_IFACE_PROTOCOL_INTERFACE_ADDRESSING.

Returns
  A pointer to the AbstractProtocolInterface object that implements the D-Bus interface with the given name, or a null pointer if such an interface has not been plugged into this object.

See Also
  plugInterface(), interfaces()

uint Tp::BaseChannel::targetHandle | ( |  | ) | const

QString Tp::BaseChannel::targetID | ( |  | ) | const

uint Tp::BaseChannel::targetHandleType | ( |  | ) | const

bool Tp::BaseChannel::requested | ( |  | ) | const

uint Tp::BaseChannel::initiatorHandle | ( |  | ) | const

QString Tp::BaseChannel::initiatorID | ( |  | ) | const

Tp::ChannelDetails Tp::BaseChannel::details | ( |  | ) | const

void Tp::BaseChannel::setInitiatorHandle | ( | uint | initiatorHandle | ) |

void Tp::BaseChannel::setInitiatorID | ( | const QString & | initiatorID | ) |

void Tp::BaseChannel::setTargetID | ( | const QString & | targetID | ) |

void Tp::BaseChannel::setRequested | ( | bool | requested | ) |

void Tp::BaseChannel::close | ( |  | ) |

bool Tp::BaseChannel::plugInterface | ( | const AbstractChannelInterfacePtr & | interface | ) |

Plug a new interface into this Protocol D-Bus object.

This property is immutable and cannot change after this Protocol object has been registered on the bus with registerObject().

Parameters

  interface | An AbstractProtocolInterface instance that implements the interface that is to be plugged.

Returns
  `true` on success or `false` otherwise

See Also
  interfaces(), interface()

void Tp::BaseChannel::closed | ( |  | ) |
| signal

bool Tp::BaseChannel::registerObject | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | DBusError * | error
| ) |  |
| protectedvirtual

Reimplemented from DBusService.

Reimplemented from Tp::DBusService.